# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeLiveRecordFilesRequest(JDCloudRequest):
    """
    查询录制文件列表

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeLiveRecordFilesRequest, self).__init__(
            '/recordFiles', 'GET', header, version)
        self.parameters = parameters


class DescribeLiveRecordFilesParameters(object):

    def __init__(self, pageNum, pageSize, publishDomain, appName, streamName, startTime, endTime):
        """
        :param pageNum: 当面页数

        :param pageSize: 每页记录数

        :param publishDomain: 推流域名

        :param appName: 推流AppName

        :param streamName: 流名称

        :param startTime: 查询起始时间，UTC时间，格式：yyyy-MM-dd'T'HH:mm:ss'Z'

        :param endTime: 查询截至时间，UTC时间，格式：yyyy-MM-dd'T'HH:mm:ss'Z'

        """

        self.pageNum = pageNum
        self.pageSize = pageSize
        self.authExpire = None
        self.publishDomain = publishDomain
        self.appName = appName
        self.streamName = streamName
        self.startTime = startTime
        self.endTime = endTime

    def setAuthExpire(self, authExpire):
        """
        :param authExpire: (Optional) 下载地址有效期，单位：秒，默认：3600

        """
        self.authExpire = authExpire

